StatsHub Docs
APIAPI v2V2 endpoint referenceFixtures

/fixtures/{fixtureId}/shots

Get fixture shots and expected-goals summary

GET
/fixtures/{fixtureId}/shots

Get fixture shots and expected-goals summary

Path Parameters

fixtureId*string

Opaque resource ID

Match^[1-9][0-9]*$

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/fixtures/string/shots"
{  "data": {    "id": "string",    "lastUpdatedAt": "2019-08-24T14:15:22Z",    "nonPenaltyExpectedGoals": {      "calculated": {        "away": 0,        "home": 0      },      "stored": {        "away": 0,        "home": 0      }    },    "shots": [      {        "additionalInformation": {          "draw": {            "block": {              "x": 0,              "y": 0            },            "end": {              "x": 0,              "y": 0            },            "start": {              "x": 0,              "y": 0            }          },          "expectedGoalsOnTarget": 0,          "goalMouthLocation": "string",          "goalZone": "string"        },        "angle": 0,        "blocked": true,        "blockedByPlayer": {          "id": "string",          "name": "string",          "slug": "string"        },        "bodyPart": "string",        "distance": 0,        "expectedGoals": 0,        "goal": true,        "headed": true,        "id": "string",        "minute": 0,        "onTarget": true,        "outsidePenaltyArea": true,        "penalty": true,        "player": {          "id": "string",          "name": "string",          "slug": "string"        },        "result": "string",        "side": "home",        "situation": "string",        "team": {          "id": "string",          "name": "string",          "slug": "string"        },        "x": 0.1,        "y": 0.1      }    ]  }}